com.microfocus.awm.core

## Class TaurusSystemPersistableProxy

- java.lang.Object
- - com.microfocus.awm.core.TaurusSystemPersistableProxy

-     public class TaurusSystemPersistableProxy
      extends java.lang.Object

  Proxy of an `ITaurusSystem` containing all basic information about the system. This is used as a storage for general code (e.g. parsing master configuration files, loading cached systems ) which does not know anything about specific implementations of the `ITaurusSystem` interface.
  Author:
    RalfP
  See Also:
    `TaurusApplicationPersistableProxy`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusSystemPersistableProxy(java.lang.String pSystemName, ISystemImage pImage)` Creates a new `TaurusSystemPersistableProxy`, not setting the `ISystemProvider` ID.
    `TaurusSystemPersistableProxy(java.lang.String pSystemName, ISystemImage pImage, java.lang.String pProviderID)` Creates a new `TaurusSystemPersistableProxy`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TaurusApplicationPersistableProxy>` | `getApplications()` Gets the applications of the described AWM system.
    `java.util.Map<java.lang.String,java.lang.String>` | `getCustomAttributes()` Gets the custom attributes of the system.
    `java.lang.String` | `getName()` Gets the unique name of the system.
    `java.lang.String` | `getProviderID()` Gets the `ISystemProvider` ID of the system.
    `ISystemImage` | `getSystemImage()` Gets the systems `ISystemImage`
    `void` | `setProviderID(java.lang.String pProviderID)` Sets the `ISystemProvider` ID for the system.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusSystemPersistableProxy

          public TaurusSystemPersistableProxy(java.lang.String pSystemName,
                                              ISystemImage pImage)

      Creates a new `TaurusSystemPersistableProxy`, not setting the `ISystemProvider` ID. The system provider ID must be set afterwards using `setProviderID(String)`.
      Parameters:
        `pSystemName` - the unique name of the system
        `pImage` - the system image

    - #### TaurusSystemPersistableProxy

          public TaurusSystemPersistableProxy(java.lang.String pSystemName,
                                              ISystemImage pImage,
                                              java.lang.String pProviderID)

      Creates a new `TaurusSystemPersistableProxy`.
      Parameters:
        `pSystemName` - the unique name of the system
        `pImage` - the system image
        `pProviderID` - the system provider ID

  - ### Method Detail

    - #### setProviderID

          public void setProviderID(java.lang.String pProviderID)

      Sets the `ISystemProvider` ID for the system.
      Parameters:
        `pProviderID` - the system provider ID to set

    - #### getName

          public java.lang.String getName()

      Gets the unique name of the system.
      Returns:
        the system name

    - #### getProviderID

          public java.lang.String getProviderID()

      Gets the `ISystemProvider` ID of the system.
      Returns:
        the provider ID or `null` if it hasn't been set

    - #### getApplications

          public java.util.List<TaurusApplicationPersistableProxy> getApplications()

      Gets the applications of the described AWM system.
      Returns:
        a list of `TaurusApplicationPersistableProxy`s. Can be empty.

    - #### getCustomAttributes

          public java.util.Map<java.lang.String,java.lang.String> getCustomAttributes()

      Gets the custom attributes of the system. Each key is an attribute name/ID.
      Returns:
        the custom attributes of the system. Can be empty.

    - #### getSystemImage

          public ISystemImage getSystemImage()

      Gets the systems `ISystemImage`
      Returns:
        the system image

Copyright © 2015 Micro Focus GmbH. All rights reserved.